=== debian/changelog ===
pypy3 (7.3.11+dfsg-2+deb12u3) bookworm; urgency=medium

  * Security patches to the standard library:
    - CVE-2023-27043: Parse email addresses with special characters,
      correctly.
    - CVE-2024-9287: Quote path names in venv activation scripts.
    - CVE-2024-4032: Fix private IP address ranges.
    - CVE-2024-6232: Fix ReDoS when parsing tarfile headers.
    - CVE-2024-8088: Avoid infinite loop in zip file parsing.
    - CVE-2024-6923: Encode newlines in headers in the email module.
    - CVE-2024-7592: Quadratic complexity parsing cookies with backslashes.
    - CVE-2024-11168: Ensure addresses in brackets are valid IPv6 addresses.
  * Clean the python 2.7 source tree.
  * Clean cffi modules C source, lex and yacc tabs.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 23 Dec 2024 16:22:45 -0400

pypy3 (7.3.11+dfsg-2+deb12u2) bookworm; urgency=medium

  * Security patches to the standard library:
    - Apply cPython upstream security fix for CVE-2023-24329:
      Strip C0 control and space characters in urlsplit.
    - Apply cPython upstream security fix for CVE-2023-40217:
      Avoid bypass TLS of handshake protections on closed sockets.
    - Apply cPython upstream security fix for CVE-2023-6597:
      tempfile.TemporaryDirectory: fix symlink bug in cleanup.
    - Apply cPython upstream security fix for CVE-2024-0450:
      Protect zipfile from "quoted-overlap" zipbomb.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 01 May 2024 20:39:38 -0400

pypy3 (7.3.11+dfsg-2+deb12u1) bookworm; urgency=medium

  * Avoid an rpython assertion error in the JIT if integer ranges don't
    overlap in a loop. (Closes: #1062460)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 01 Feb 2024 20:41:13 -0400

pypy3 (7.3.11+dfsg-2) unstable; urgency=medium

  * Mark pypy3 as being EXTERNALLY-MANAGED.
    - Add a NEWS entry explaining this.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 06 Feb 2023 10:12:43 -0400

pypy3 (7.3.11+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 30 Dec 2022 09:29:42 -0400

pypy3 (7.3.10+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch fpic-archs, superseded upstream (--shared by default).

 -- Stefano Rivera <stefanor@debian.org>  Tue, 06 Dec 2022 15:59:19 -0400

pypy3 (7.3.10~rc3+dfsg-2) experimental; urgency=medium

  * Fix the arch-indep build, if we want to avoid a full build we can only
    ship static headers in the arch-indep -dev package.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 25 Nov 2022 18:38:20 +0200

pypy3 (7.3.10~rc3+dfsg-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream release.
    - Switch to the 3.9 branch, now that it's out of beta.
  * Refresh patches.
  * Update copyright.
  * Bump dpkg-dev build-dep to 1.20.1, which provides buildopts.mk.
  * The upstream buildsystem produces pypy3.9-c, adapt to that.
  * Change the way we split out arch-dependent headers. Upstream now generates
    more headers.
  * Correct the installed paths of pypy3-lib-testsuite, broken since
    7.3.8+dfsg-1.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 25 Nov 2022 10:44:29 +0200

pypy3 (7.3.9+dfsg-5) unstable; urgency=medium

  * autopkgtests: Check PEP-660 editable installs, and PEP-517-driven
    installs.
  * Patch: Resolve CVE-2022-37454, a buffer overflow in SHA-3 (Keccak)
    (LP: #1995197)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 30 Oct 2022 10:55:02 +0200

pypy3 (7.3.9+dfsg-4) unstable; urgency=medium

  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 09 Aug 2022 14:12:13 +0200

pypy3 (7.3.9+dfsg-3) experimental; urgency=medium

  * Don't assume we're building with pypy, when "pypy" appears in the path of
    the python interpreter, fixes FTBFS on 32bit archs.
  * Build cPython 2.7 with --with-system-expat and --with-system-ffi, fixing
    FTBFS on mips64el.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 08 Aug 2022 16:28:35 +0200

pypy3 (7.3.9+dfsg-2) experimental; urgency=medium

  * Upload to experimental.
  * Add python2.7 source as the cpython27 component to the source package.
  * Build cPython 2.7 from source, to build PyPy3 with (Closes: #937510)
    - Document cPython2.7 source in debian/copyright.
  * Bump debhelper-compat to 11, we can't backport to Ubuntu <=16.04, any
    more, for other reasons so this is a reasonable floor.
  * Port debian/scripts/*.py to Python 3.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 06 Aug 2022 20:02:17 +0200
