## pypy3 7.3.12+dfsg

=== debian/changelog ===
pypy3 (7.3.12+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 16 Jun 2023 14:15:58 -0400

pypy3 (7.3.12~rc2+dfsg-1) experimental; urgency=medium

  * New upstream RC.
  * Refresh patches.
  * Drop patch apptest-socket_connection-refused, superseded upstream.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 28 May 2023 18:27:49 -0400

pypy3 (7.3.12~rc1+dfsg-1) experimental; urgency=medium

  * New upstream RC.
  * Update copyright.
  * Clean the python 2.7 source tree.
  * Clean cffi modules C source, lex and yacc tabs.
  * Organize patch series into topics.
  * Patch: Resolve some benign network-related apptest failures.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 13 May 2023 19:28:55 -0400
