=== extra_tests/requirements.txt ===
pytest<=6.0
setuptools<65.0
hypothesis
vmprof
filelock
