=== debian/changelog ===
pypy3 (7.3.15+dfsg-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:50:16 +0000

pypy3 (7.3.15+dfsg-1build2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Mar 2024 01:22:58 +0000

pypy3 (7.3.15+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:06:28 +0000

pypy3 (7.3.15+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update copyright.
  * Upstream migrated to GitHub, update metadata.
  * Migrate orig tarball building to uscan.
  * Drop Build-Depends on dh-autoreconf, no longer needed.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 18 Jan 2024 13:13:42 -0400

pypy3 (7.3.14+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update copyright.
  * Build-Depend on python3-sphinx-rtd-theme and python3-sphinx-issues.
  * Reorganize tests to run pypyjit tests that need pycparser earlier.
  * Clean another lextab and yacctab location.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 25 Dec 2023 15:41:10 -0400

pypy3 (7.3.13+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Fixes CVE-2023-40217.
  * Refresh patches.
  * Patch: Support Sphinx 7.1 by specifying a substitutable caption for
    extlinks (Closes: #1042638)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 29 Sep 2023 16:38:27 +0200
