=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: pypy3
 Section: python
 Priority: optional
-Maintainer: Stefano Rivera <stefanor@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
  debhelper-compat (= 11),
- dh-autoreconf,
  dh-exec,
  dpkg-dev (>= 1.20.1~),
  libbz2-dev,
@@ -22,12 +22,14 @@
  python3-pip-whl,
  python3-setuptools-whl,
  python3-sphinx (>= 1.0.7+dfsg),
+ python3-sphinx-issues,
+ python3-sphinx-rtd-theme,
  tcl-dev,
  tk-dev,
  valgrind-if-available,
  zlib1g-dev
 Build-Depends-Indep: graphviz
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.pypy.org/
 Vcs-Git: https://salsa.debian.org/debian/pypy3.git
 Vcs-Browser: https://salsa.debian.org/debian/pypy3
