=== debian/rules ===
--- 
+++ 
@@ -46,16 +46,16 @@
 		--logfile=build-tests/pytest-A.log \
 		--config=pypy/pytest-A.cfg \
 		--root=pypy || true
+	cpython27/python -u pypy/test_all.py \
+		--pypy=pypy/goal/pypy3.9-c \
+		--resultlog=build-tests/pypy-c.log \
+		pypy/module/pypyjit/test_pypy_c || true
 	rm pycparser
 	TERM=$${TERM:-dumb} cpython27/python -u \
 		pypy/test_all.py \
 		--pypy=pypy/goal/pypy3.9-c \
 		--resultlog=build-tests/lib-python.log \
 		lib-python || true
-	cpython27/python -u pypy/test_all.py \
-		--pypy=pypy/goal/pypy3.9-c \
-		--resultlog=build-tests/pypy-c.log \
-		pypy/module/pypyjit/test_pypy_c || true
 endif
 
 override_dh_auto_install:
@@ -94,24 +94,3 @@
 	debian/scripts/maintscript.sh pypy3.prerm
 	debian/scripts/maintscript.sh pypy3-lib.prerm
 	dh_installdeb
-
-HG_REPO ?= https://bitbucket.org/pypy/pypy
-REV = $(shell dpkg-parsechangelog | sed -rne 's,^Version: .*hg([0-9]+).*,\1,p')
-DVER = $(shell dpkg-parsechangelog | sed -rne 's,^Version: (.+)\+dfsg-.*,\1,p')
-UVER = $(shell echo $(DVER) | sed -e 's/~//')
-get-packaged-orig-source:
-	@echo "You can build this from a local repo by supplying the HG_REPO variable"
-	rm -rf pypy3-$(DVER).orig
-	hg clone $(HG_REPO) pypy3-$(DVER).orig
-ifeq (,$(REV))
-	cd pypy3-$(DVER).orig && hg up -r release-pypy3.9-v$(UVER)
-else
-	cd pypy3-$(DVER).orig && hg up -r $(REV)
-endif
-	rm -rf pypy3-$(DVER).orig/.hg*
-	rm pypy3-$(DVER).orig/lib-python/*/distutils/command/*.exe
-	rm pypy3-$(DVER).orig/rpython/rlib/test/loadtest/loadtest*.dll
-	rm -rf pypy3-$(DVER).orig/lib-python/*/ensurepip/_bundled/
-	tar -cJ --owner root --group root --mode a+rX \
-	    -f pypy3_$(DVER)+dfsg.orig.tar.xz pypy3-$(DVER).orig
-	rm -rf pypy3-$(DVER).orig
