## pypy3 7.3.16+dfsg

=== debian/changelog ===
pypy3 (7.3.16+dfsg-2) unstable; urgency=medium

  * Patch: Fix a constant folding bug that caused FTBFS on s390x.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 26 Apr 2024 09:12:11 -0400

pypy3 (7.3.16+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * De-vendor expat (vendored upstream in 7.3.16)
  * Update copyright
  * Handle .devX cffi versions.
  * Upstream dropped pystone.py.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 24 Apr 2024 15:35:11 -0400
