## pypy3 7.3.17+dfsg

=== debian/changelog ===
pypy3 (7.3.17+dfsg-2ubuntu1) oracular; urgency=medium

  * Allow output to stderr in all autopkgtests to avoid
    failure on Launchpad arm64 runners with:
    Warning: cannot find your CPU L2 & L3 cache size in
    /sys/devices/system/cpu/cpuX/cache 

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 30 Sep 2024 11:38:25 +0000

pypy3 (7.3.17+dfsg-2) unstable; urgency=medium

  * Patch, work-around FTBFS on 32-bit archs with GCC-14 by suppressing
    -Wincompatible-pointer-types.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 31 Aug 2024 14:43:58 +0200

pypy3 (7.3.17+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop patches, superseded upstream: bdist-wininst-notfound,
    ensurepip-wheels, test_readline-invalidterminal,
    rlcompleter-invalidterminal, null-pointer-constfold.
  * Call dpkg with LC_ALL=C.UTF8 (LP: #2075337)
  * Switch to the 3.10-compatible version (Closes: #1072016)
    - graminit.h is no longer generated.
  * Drop bdist_wininst *.exe files from exclusion, they were dropped upstream.
  * Drop patch ctypes-arm, superseded upstream in 2.7.5.
  * Move ensurepip module into pypy3-venv.
  * New patch sysconfig-debian-schemes, taking over part of
    distutils-install-layout.
  * Drop plat-gnukfreebsd, Debian GNU/kFreeBSD is no longer being developed.
  * Enable continuation and JIT on RISC-V 64.
  * Handle site-packages/README.txt rename.
  * Bump Standards-Version to 4.7.0, no changes needed.
  * Build-Depend on pkgconf instead of pkg-config.
  * Patch: Simplify the sysconfigdata name when multiarch.
  * Build and install sysconfigdata.
  * Patch: Use static sysconfigdata.
  * Configure WHEEL_PKG_DIR in sysconfigdata.
  * Patches: Use Europe/Kyiv as a test timezone.
  * Build-Depend on tzdata.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 30 Aug 2024 20:10:59 +0200
