=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pypy3
 Section: python
 Priority: optional
-Maintainer: Stefano Rivera <stefanor@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
  debhelper-compat (= 11),
  dh-exec,
@@ -15,7 +16,7 @@
  libsqlite3-dev,
  libssl-dev | libssl1.0-dev,
  netbase,
- pkg-config,
+ pkgconf,
  procps,
  python3-dev,
  python3-pip-whl,
@@ -25,10 +26,11 @@
  python3-sphinx-rtd-theme,
  tcl-dev,
  tk-dev,
+ tzdata,
  valgrind-if-available,
  zlib1g-dev
 Build-Depends-Indep: graphviz
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.pypy.org/
 Vcs-Git: https://salsa.debian.org/debian/pypy3.git
 Vcs-Browser: https://salsa.debian.org/debian/pypy3
