=== debian/watch ===
version=4

opts=dversionmangle=auto,oversionmangle=s/$/+dfsg/ \
	https://downloads.python.org/pypy/pypy3.10-v([0-9.]+)-src.tar.bz2
opts=component=cpython27,dversionmangle=s/.*/2.7.18/ \
	https://www.python.org/ftp/python/2.7.18/Python-([0-9.]+).tar.xz
