## pypy3 7.3.18+dfsg

=== debian/changelog ===
pypy3 (7.3.18+dfsg-2) unstable; urgency=medium

  * Patch: Fix vmprof build on riscv64.
  * Patch: Fix CVE-2025-0938: Disallow square brackets in domain names in
    urllib.parse.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 10 Feb 2025 09:08:23 -0400

pypy3 (7.3.18+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Switch to the 3.11-compatible version.
  * Refresh patches.
  * Drop patches debian/prefer-static-sysconfigdata,
    stdlib/CVE-2023-27043-email-parseaddr,
    stdlib/CVE-2024-9287-venv-activation-templates, tests/test_email_kyiv, and
    tests/test_time_kyiv. Superseded upstream.
  * Patches: Avoid new compilation failures with GCC-14.
  * Handle a missed rename from 3.10 to 3.11, upstream.
  * Update copyright.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 08 Feb 2025 16:37:47 -0400

pypy3 (7.3.17+dfsg-3) unstable; urgency=medium

  * Avoid writing build environment paths into _sysconfigdata.
  * Do a wide build of Python 2.7 for the translation.
  * Patch: CVE-2024-9287: Quote path names in venv activation scripts.
    (Closes: #1089117)
  * Patch: CVE-2023-27043: Parse email addresses with special characters,
    correctly. (Closes: #1072179)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 05 Dec 2024 19:29:26 -0400
