## pypy3 7.3.19+dfsg

=== debian/changelog ===
pypy3 (7.3.19+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop patches: upstream/path-max, upstream/gcc-14-vmprof,
    upstream/gcc-14-sqlite3, upstream/vimprof-riscv, all superseded upstream.
  * Revert the change for the missed rename from 3.10 to 3.11, upstream.
  * Update copyright.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 26 Feb 2025 17:27:18 -0400
