=== debian/rules ===
--- 
+++ 
@@ -15,11 +15,11 @@
 override_dh_auto_configure:
 	# This rule left intentionally empty
 
-override_dh_auto_build-arch: pypy/goal/pypy3.10-c
+override_dh_auto_build-arch: pypy/goal/pypy3.11-c
 	$(MAKE) -C pypy/doc man BUILDDIR=$(CURDIR)/build-docs
 
 	# Build cffi modules
-	pypy/goal/pypy3.10-c lib_pypy/pypy_tools/build_cffi_imports.py
+	pypy/goal/pypy3.11-c lib_pypy/pypy_tools/build_cffi_imports.py
 	debian/scripts/verify-all-headers-present.py
 	debian/scripts/gen-sysconfigdata.sh
 
@@ -28,10 +28,10 @@
 
 cpython27/python:
 	dh_autoreconf -D cpython27
-	cd cpython27 && ./configure --with-system-ffi --with-system-expat
+	cd cpython27 && ./configure --with-system-ffi --with-system-expat --enable-unicode=ucs4
 	cd cpython27 && $(MAKE) -j$(DEB_BUILD_OPTION_PARALLEL)
 
-pypy/goal/pypy3.10-c: cpython27/python
+pypy/goal/pypy3.11-c: cpython27/python
 	debian/scripts/translate.sh --python $(CURDIR)/cpython27/python
 
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
@@ -48,13 +48,13 @@
 		--config=pypy/pytest-A.cfg \
 		--root=pypy || true
 	cpython27/python -u pypy/test_all.py \
-		--pypy=pypy/goal/pypy3.10-c \
+		--pypy=pypy/goal/pypy3.11-c \
 		--resultlog=build-tests/pypy-c.log \
 		pypy/module/pypyjit/test_pypy_c || true
 	rm pycparser
 	TERM=$${TERM:-dumb} cpython27/python -u \
 		pypy/test_all.py \
-		--pypy=pypy/goal/pypy3.10-c \
+		--pypy=pypy/goal/pypy3.11-c \
 		--resultlog=build-tests/lib-python.log \
 		lib-python || true
 endif
