=== debian/tests/control ===
Tests: byte-compilation
Depends: pypy3, shunit2
Restrictions: allow-stderr

Tests: command-line
Depends: pypy3, shunit2
Restrictions: superficial, allow-stderr

Tests: import-paths
Depends: pypy3-venv, python3-six, shunit2
# six is just there to ensure dist-packages exists
Restrictions: allow-stderr

Tests: pypy3-tk
Depends: pypy3-tk, shunit2
Restrictions: superficial, allow-stderr

Tests: module-install-local
Depends: build-essential, pypy3-dev, python3-pip, python3-setuptools, shunit2
Restrictions: needs-root, allow-stderr

Tests: module-install-user
Depends: build-essential, pypy3-dev, python3-pip, python3-setuptools, shunit2
Restrictions: allow-stderr

Tests: module-install-venv
Depends: build-essential, pypy3-dev, pypy3-venv, python3-wheel-whl, shunit2
Restrictions: allow-stderr

Tests: module-install-virtualenv
Depends: build-essential, pypy3-dev, shunit2, virtualenv
Restrictions: allow-stderr
