=== debian/changelog ===
pypy3 (7.3.20+dfsg-4) unstable; urgency=medium

  * Patch: Fix AssertionError in AST Compiler (Closes: #1119266).

 -- Stefano Rivera <stefanor@debian.org>  Tue, 28 Oct 2025 17:14:54 +0200

pypy3 (7.3.20+dfsg-3) unstable; urgency=medium

  * Build cpython2.7 with --std=c17 (Closes: #1097670)

 -- Stefano Rivera <stefanor@debian.org>  Mon, 08 Sep 2025 18:28:00 +0200

pypy3 (7.3.20+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 16 Aug 2025 18:43:53 +0200

pypy3 (7.3.20+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Fixes: CVE-2025-4138, CVE-2025-4330, CVE-2025-4435, CVE-2025-4517, and
      CVE-2024-12718.
    - Upload to experimental, due to the freeze.
  * Refresh patches.
  * Drop patch for CVE-2025-0938, superseded upstream.
  * Patch for CVE-2025-6069: Fix quadratic complexity in processing special
    input in HTMLParser.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 05 Jul 2025 17:00:41 +0200

pypy3 (7.3.19+dfsg-2) unstable; urgency=medium

  * Drop test depends on python3-wheel-whl, setuptools has native bdist_wheel
    support.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 10 Apr 2025 21:01:39 -0400
