=== debian/tests/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
 Restrictions: allow-stderr
 
 Tests: module-install-venv
-Depends: build-essential, pypy3-dev, pypy3-venv, python3-wheel-whl, shunit2
+Depends: build-essential, pypy3-dev, pypy3-venv, shunit2
 Restrictions: allow-stderr
 
 Tests: module-install-virtualenv
